> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /trulia/properties/search

> Search Trulia real-estate listings by location (city and state) with optional deal type (for sale, for rent, sold), property type, price range and minimum bedrooms. Returns properties with address, location and coordinates, status, price, bedrooms, bathrooms, floor space, property type, description, image, listing agent and broker, and list date.

**Price:** 20 credits per 20 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/trulia/properties/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/trulia/properties/search:
    post:
      tags:
        - /trulia
      summary: /trulia/properties/search
      description: >-
        Search Trulia real-estate listings by location (city and state) with
        optional deal type (for sale, for rent, sold), property type, price
        range and minimum bedrooms. Returns properties with address, location
        and coordinates, status, price, bedrooms, bathrooms, floor space,
        property type, description, image, listing agent and broker, and list
        date.


        **Price:** 20 credits per 20 results
      operationId: __api_trulia_properties_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TruliaSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TruliaSearchProperty'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TruliaSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        location:
          type: string
          minLength: 1
        deal_type:
          $ref: '#/components/schemas/TruliaSearchDealType'
          default: for_sale
        home_type:
          anyOf:
            - $ref: '#/components/schemas/TruliaSearchHomeType'
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        beds_min:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 0
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - location
        - count
    TruliaSearchProperty:
      properties:
        '@type':
          type: string
          default: TruliaSearchProperty
        id:
          type: string
        url:
          type: string
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        is_active_for_sale:
          anyOf:
            - type: boolean
            - type: 'null'
        is_active_for_rent:
          anyOf:
            - type: boolean
            - type: 'null'
        is_foreclosure:
          anyOf:
            - type: boolean
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        formatted_price:
          anyOf:
            - type: string
            - type: 'null'
        price_type:
          anyOf:
            - type: string
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: number
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: number
            - type: 'null'
        floor_space_sqft:
          anyOf:
            - type: number
            - type: 'null'
        lot_size:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        listing_agent:
          anyOf:
            - type: string
            - type: 'null'
        listing_broker:
          anyOf:
            - type: string
            - type: 'null'
        listed_at:
          anyOf:
            - type: string
            - type: 'null'
        tag:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TruliaSearchDealType:
      type: string
      enum:
        - for_sale
        - for_rent
        - sold
    TruliaSearchHomeType:
      type: string
      enum:
        - house
        - condo
        - townhome
        - multi_family
        - land
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````